Bug 2017073 (CVE-2021-43056) - CVE-2021-43056 kernel: ppc: kvm: allows a malicious KVM guest to crash the host
Summary: CVE-2021-43056 kernel: ppc: kvm: allows a malicious KVM guest to crash the host
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-43056
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2017074 2018960 2018961 2018962
Blocks: 2017075
TreeView+ depends on / blocked
 
Reported: 2021-10-25 14:44 UTC by Michael Kaplan
Modified: 2022-06-16 11:23 UTC (History)
44 users (show)

Fixed In Version: kernel 5.15 rc6
Doc Type: If docs needed, set a value
Doc Text:
A denial of service problem was found in the Linux kernel's Kernel-based Virtual Machine (KVM) specific to PowerPC. In this flaw, a user with local access can confuse the host offline code, causing the guest to crash.
Clone Of:
Environment:
Last Closed: 2022-05-11 11:46:25 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:26:49 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:46:34 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:11:00 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:40:09 UTC
Red Hat Product Errata RHBA-2022:5088 0 None None None 2022-06-16 11:23:25 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:46:02 UTC

Description Michael Kaplan 2021-10-25 14:44:30 UTC
A denial of service problem was found in KVM specific to powerpc. In this flaw, a user with local access can confuse the host offline code, causing the guest to crash.

References:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=cdeb5d7d890e14f3b70e8087e745c4a6a7d9f337

Comment 1 Michael Kaplan 2021-10-25 14:44:56 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2017074]

Comment 7 errata-xmlrpc 2022-05-10 14:45:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 8 Product Security DevOps Team 2022-05-11 11:46:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-43056


Note You need to log in before you can comment on or make changes to this bug.